GNU bug report logs - #57977
29.0.50; [PATCH] Make Gnus respect mode-line-buffer-identification-keymap

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Visuwesh <visuweshm@HIDDEN>; Keywords: patch; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 57977 <at> debbugs.gnu.org and Visuwesh <visuweshm@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57977 <at> debbugs.gnu.org:


Received: (at 57977) by debbugs.gnu.org; 23 Sep 2022 16:22:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 12:22:16 2022
Received: from localhost ([127.0.0.1]:41571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oblRQ-0000WB-L6
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:22:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oblRP-0000Vq-3i
 for 57977 <at> debbugs.gnu.org; Fri, 23 Sep 2022 12:22:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=nkaD1wDODY1TDogEabm5fRQXevk7g1m9R1p7MyvkTpI=; b=PzQSjz540fxq+z9oopMl6VspO/
 9P9dgXl9pgkc+NgCc69b5p+jJynQjwuRURvMTX03LPDewiJThAYELgJG60J1xl6MhLLISkpQsfiqR
 t0OOKsHHAMPY8rhcS8sYVnDzm4XBpwic4CHl8O1id1uzPRQD9WCrBxttWxno+g92iD0c=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oblRH-0003Ye-4i; Fri, 23 Sep 2022 18:22:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57977: 29.0.50; [PATCH] Make Gnus respect
 mode-line-buffer-identification-keymap
In-Reply-To: <875yhee2oe.fsf@HIDDEN> (Visuwesh's message of "Fri, 23 Sep
 2022 17:13:45 +0530")
References: <8735ckdhit.fsf@HIDDEN> <87y1ucc2nh.fsf@HIDDEN>
 <875yhee2oe.fsf@HIDDEN>
X-Now-Playing: Kate Bush's _Never For Ever_: "Egypt"
Date: Fri, 23 Sep 2022 18:22:06 +0200
Message-ID: <87h70y2h8x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Visuwesh <visuweshm@HIDDEN> writes: > This patch was also
 wrong. Submitting a patch when I was tired and > about to sleep was an awful
 mistake, sorry about the noise. Attached > patch should be final, hopefully.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57977
Cc: 57977 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Visuwesh <visuweshm@HIDDEN> writes:

> This patch was also wrong.  Submitting a patch when I was tired and
> about to sleep was an awful mistake, sorry about the noise.  Attached
> patch should be final, hopefully.

Thanks; pushed to Emacs 29.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57977; Package emacs. Full text available.

Message received at 57977 <at> debbugs.gnu.org:


Received: (at 57977) by debbugs.gnu.org; 23 Sep 2022 11:44:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 07:44:47 2022
Received: from localhost ([127.0.0.1]:39602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obh6s-0003En-IJ
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 07:44:46 -0400
Received: from mail-pj1-f65.google.com ([209.85.216.65]:42666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1obh6q-0003EZ-9c
 for 57977 <at> debbugs.gnu.org; Fri, 23 Sep 2022 07:44:44 -0400
Received: by mail-pj1-f65.google.com with SMTP id
 s90-20020a17090a2f6300b00203a685a1aaso5204807pjd.1
 for <57977 <at> debbugs.gnu.org>; Fri, 23 Sep 2022 04:44:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:references:message-id:date:in-reply-to
 :subject:to:from:from:to:cc:subject:date;
 bh=rQt9Uqco78EGNEgVSG++QjCRMP6RkHO+Nu0+fryZNMI=;
 b=pEIkbW5Uk9OGFvb48zYFiktRegmqAvsA+GJrIM2InhvttelNbqH4KCPJc8LEC2nyZF
 bOZ8Bkoy0h0MKr19nD1maRr8eZ5+SeawmpFK79cQAXPZKNb+/6astO5Ft+WiiXvCaJqi
 3exslKzkwfrwCGcExOyK64uimL/wI4Ct82Q/gj6/bpGUMZkNZVEdneNspkPaL4A719rp
 3964gCE4JZOD3tClQebUyqwKcOmlh3JV7fwd5iHYEkrGl+naB2GW0WYDTBg6S97HpQjM
 SHxFGPe8j8q4VIJmekvGYSVjcJEnPjpIQJvqsnxBjwLVRyfv+EgXl63pYBp/tybOuDsv
 /TzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:references:message-id:date:in-reply-to
 :subject:to:from:x-gm-message-state:from:to:cc:subject:date;
 bh=rQt9Uqco78EGNEgVSG++QjCRMP6RkHO+Nu0+fryZNMI=;
 b=GQiKVXZ8Sy0MB/po0EUEfNIMktRBM4SQOIJhvlSdySd1pLWdTRStImPXrd0naolBwb
 tI94PjRKJtPN4UAMy4QwCa+kq2//vfEm7qsCZ+b/L/LaSRXai2wo6tQ49NB1OOqVhWZL
 gYoxlfYJgY3rB9WmdjKP2lGmtVpfukz3bZtIxsCDjI/6v5Cljn0Ap1jpIgyk2TDw70W2
 s12omLvzbC84WReQfbjwarm002Pzl8WP5XS4r5DyPjcpdlAA5mTKzZv+vB8AkpcTdcHi
 QiC0NJ6hXUaw2BNYbUWnu4rocH4TMhR5LxpD00TfsVSP3A73aZ0ngpiCbTL7sgJNlbeC
 Spgg==
X-Gm-Message-State: ACrzQf3mJRkGLZ3bJZ2f458DRiasAp+YiIm+vgdzsyEjCBq/0F+5ZF3m
 P2GfUoRREFrtSxAn5cZFOHDTzhCJtt4=
X-Google-Smtp-Source: AMsMyM4Z6HA9tOWRfli8gaw7lSdrCqEQsT3mwtdOhCgn2qJYEeA0pY5nxuL4wlBzefIOhq61jgejmg==
X-Received: by 2002:a17:902:ac96:b0:178:9faa:6280 with SMTP id
 h22-20020a170902ac9600b001789faa6280mr8247456plr.34.1663933477825; 
 Fri, 23 Sep 2022 04:44:37 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 22-20020a17090a0d5600b001ef81574355sm1443532pju.12.2022.09.23.04.44.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 23 Sep 2022 04:44:37 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: 57977 <at> debbugs.gnu.org
Subject: Re: 29.0.50; [PATCH] Make Gnus respect
 mode-line-buffer-identification-keymap
In-Reply-To: <87y1ucc2nh.fsf@HIDDEN> (Visuwesh's message of "Wed, 21 Sep
 2022 18:20:26 +0530")
Date: Fri, 23 Sep 2022 17:13:45 +0530
Message-ID: <875yhee2oe.fsf@HIDDEN>
References: <8735ckdhit.fsf@HIDDEN> <87y1ucc2nh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57977
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

W+CuquCvgeCupOCuqeCvjSDgrprgr4bgrqrgr43grp/grq7gr43grqrgrrDgr40gMjEsIDIwMjJd
IFZpc3V3ZXNoIHdyb3RlOg0KDQo+IFvgrqrgr4HgrqTgrqngr40g4K6a4K+G4K6q4K+N4K6f4K6u
4K+N4K6q4K6w4K+NIDIxLCAyMDIyXSBWaXN1d2VzaCB3cm90ZToNCj4NCj4+IFBsZWFzZSBmaW5k
IGF0dGFjaGVkLCB0aGFua3MuDQo+DQo+IE9vcHMsIHRoYXQgcGF0Y2ggaGFkIGEgdmVyeSBzaWxs
eSB0aGlua28uLi4NCg0KVGhpcyBwYXRjaCB3YXMgYWxzbyB3cm9uZy4gIFN1Ym1pdHRpbmcgYSBw
YXRjaCB3aGVuIEkgd2FzIHRpcmVkIGFuZA0KYWJvdXQgdG8gc2xlZXAgd2FzIGFuIGF3ZnVsIG1p
c3Rha2UsIHNvcnJ5IGFib3V0IHRoZSBub2lzZS4gIEF0dGFjaGVkDQpwYXRjaCBzaG91bGQgYmUg
ZmluYWwsIGhvcGVmdWxseS4NCg0K
--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Make-Gnus-respect-mode-line-buffer-identification-ke.patch

From 3a4b6f752473583a51687b976a6bf410a7b7bc77 Mon Sep 17 00:00:00 2001
From: Visuwesh <visuweshm@HIDDEN>
Date: Fri, 23 Sep 2022 17:10:49 +0530
Subject: [PATCH] Make Gnus respect mode-line-buffer-identification-keymap

* lisp/gnus/gnus-group.el (gnus-group-set-mode-line): Use
'propertized-buffer-identification' to buttonise and fontify the
buffer name.
* lisp/gnus/gnus-sum.el (gnus-set-mode-line):
* lisp/gnus/gnus.el (gnus-mode-line-buffer-identification): Adjust
calls to above.
* lisp/gnus/gnus-srvr.el (gnus-browse-foreign-server): Add missing
'gnus-modeline-buffer-identification' call. (bug#57977)
---
 lisp/gnus/gnus-group.el | 4 +---
 lisp/gnus/gnus-srvr.el  | 7 ++++---
 lisp/gnus/gnus-sum.el   | 3 +--
 lisp/gnus/gnus.el       | 7 +++++--
 4 files changed, 11 insertions(+), 10 deletions(-)

diff --git a/lisp/gnus/gnus-group.el b/lisp/gnus/gnus-group.el
index fcad601d0c..d1098be6fd 100644
--- a/lisp/gnus/gnus-group.el
+++ b/lisp/gnus/gnus-group.el
@@ -1717,9 +1717,7 @@ gnus-group-set-mode-line
 	  (setq mode-string (substring mode-string 0 (- max-len 4))))
 	(prog1
 	    (setq mode-line-buffer-identification
-		  (gnus-mode-line-buffer-identification
-		   (list (propertize mode-string
-				     'face 'mode-line-buffer-id))))
+		  (gnus-mode-line-buffer-identification (list mode-string)))
 	  (set-buffer-modified-p modified))))))
 
 (defun gnus-group-group-name ()
diff --git a/lisp/gnus/gnus-srvr.el b/lisp/gnus/gnus-srvr.el
index e659a648e1..315381a6dd 100644
--- a/lisp/gnus/gnus-srvr.el
+++ b/lisp/gnus/gnus-srvr.el
@@ -829,9 +829,10 @@ gnus-browse-foreign-server
 	  (erase-buffer))
 	(gnus-browse-mode)
 	(setq mode-line-buffer-identification
-	      (list
-	       (format
-		"Gnus: %%b {%s:%s}" (car method) (cadr method))))
+	      (gnus-mode-line-buffer-identification
+               (list
+	        (format
+		 "Gnus: %%b {%s:%s}" (car method) (cadr method)))))
 	(let ((buffer-read-only nil)
 	      name
 	      (prefix (let ((gnus-select-method orig-select-method))
diff --git a/lisp/gnus/gnus-sum.el b/lisp/gnus/gnus-sum.el
index dde60caee7..107ad8fd4a 100644
--- a/lisp/gnus/gnus-sum.el
+++ b/lisp/gnus/gnus-sum.el
@@ -6207,8 +6207,7 @@ gnus-set-mode-line
       ;; Update the mode line.
       (setq mode-line-buffer-identification
 	    (gnus-mode-line-buffer-identification
-	     (list (propertize mode-string
-			       'face 'mode-line-buffer-id))))
+	     (list mode-string)))
       (set-buffer-modified-p t))))
 
 (defun gnus-create-xref-hashtb (from-newsgroup headers unreads)
diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
index 0afd873a5d..3a7edf9e08 100644
--- a/lisp/gnus/gnus.el
+++ b/lisp/gnus/gnus.el
@@ -310,12 +310,15 @@ gnus-inhibit-startup-message
   :type 'boolean)
 
 (defun gnus-mode-line-buffer-identification (line)
-  (let ((str (car-safe line)))
+  (let* ((str (car-safe line))
+         (str (if (stringp str)
+                  (car (propertized-buffer-identification str))
+                str)))
     (if (or (not (fboundp 'find-image))
 	    (not (display-graphic-p))
 	    (not (stringp str))
 	    (not (string-match "^Gnus:" str)))
-	line
+	(list str)
       (let ((load-path (append (mm-image-load-path) load-path)))
 	;; Add the Gnus logo.
 	(add-text-properties
-- 
2.35.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57977; Package emacs. Full text available.

Message received at 57977 <at> debbugs.gnu.org:


Received: (at 57977) by debbugs.gnu.org; 21 Sep 2022 12:50:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 08:50:42 2022
Received: from localhost ([127.0.0.1]:32892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oazBa-0006jL-7m
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:50:42 -0400
Received: from mail-pf1-f195.google.com ([209.85.210.195]:39858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oazBY-0006j4-RV
 for 57977 <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:50:41 -0400
Received: by mail-pf1-f195.google.com with SMTP id u132so5810935pfc.6
 for <57977 <at> debbugs.gnu.org>; Wed, 21 Sep 2022 05:50:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:references:message-id:date:in-reply-to
 :subject:to:from:from:to:cc:subject:date;
 bh=Iy14MnKguEyQUWw9+RTXypw6XBImpjnDiYQq3kWmB5Y=;
 b=dhRlYWIFoBMdXiZvYEUKVa59AyUu8uWl8gonVfPbQKif31cvrLeze/tDRR6FPBwXfS
 Gw0DnHbmEZ4js+eXWsNd942mX/oj5GQVmD9v2iIKOUallCtIQhrH9F064Sduy/Tt11fl
 NGrye/JjmFOYROUVfoUZ9T7iEhW4tBpg7Zpuvzvvjlr8KyR0RDLJm5KN++7iaObrYGNR
 n5FnzSdsp8GQ3FiNJwQO0AcUgnbB6I1wkuxmanuUY3LahRe1GcCQQ9AeAY4Q4eZCfkm/
 5Va5C8INEnteXTJqKTiNUF6mnrCBFC5xup7UGK++ZJ0gG/IRhOdGl97sgZr8mmWBNJvj
 XMhw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:references:message-id:date:in-reply-to
 :subject:to:from:x-gm-message-state:from:to:cc:subject:date;
 bh=Iy14MnKguEyQUWw9+RTXypw6XBImpjnDiYQq3kWmB5Y=;
 b=sqivsGe1xUCM9zgt0gFPjkLxXN/JxwNPw2DXoJ1LmUh7FLqOGWL5SGBwqWSM5tstUx
 UEH9aNMEwnSJKn52sig2HsF/TLRzcLrru5NgtjCUP3HJYioUSvgWHodmE00Ot8SMYZ8c
 ZM5eWhEzud56CqD73uYtEolDBc+t6H/QEgAgzQPm0S6zHSp3PdTd/tDiDQy2Q23g9rqy
 TuPUyttoiMT4Hc1hZx5RvZkYA+A16rr1VAOy3Qtu2nMzczYvOH6gutgSYd9GjOsSCERC
 BRrSzJZO0+a3Own57GasgOV9B7iw1xZly3bC6cM8WSwYN+hDYFrYV04gQWdysC9kLbEf
 BukQ==
X-Gm-Message-State: ACrzQf3YBWBXxwwdXUU9XOSbYqxU2HNSLoo8swFSt8j8Y179gI03BQmG
 YuUtADvqBS8bvj72pMF8tfKGxUvoELc=
X-Google-Smtp-Source: AMsMyM5sKd9FjlinHaJDPiw4y5+SRbgY9/7bbnGd9V+KM/dFydC9HHnVtk8+tH7MVGtBQx7WpdZO9w==
X-Received: by 2002:a63:3508:0:b0:439:57e4:5859 with SMTP id
 c8-20020a633508000000b0043957e45859mr25442350pga.54.1663764634573; 
 Wed, 21 Sep 2022 05:50:34 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 q3-20020a6557c3000000b0042a93b625d4sm1799593pgr.27.2022.09.21.05.50.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Sep 2022 05:50:33 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: 57977 <at> debbugs.gnu.org
Subject: Re: 29.0.50; [PATCH] Make Gnus respect
 mode-line-buffer-identification-keymap
In-Reply-To: <8735ckdhit.fsf@HIDDEN> (Visuwesh's message of "Wed, 21 Sep
 2022 18:13:54 +0530")
Date: Wed, 21 Sep 2022 18:20:26 +0530
Message-ID: <87y1ucc2nh.fsf@HIDDEN>
References: <8735ckdhit.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57977
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

W+CuquCvgeCupOCuqeCvjSDgrprgr4bgrqrgr43grp/grq7gr43grqrgrrDgr40gMjEsIDIwMjJd
IFZpc3V3ZXNoIHdyb3RlOg0KDQo+IFBsZWFzZSBmaW5kIGF0dGFjaGVkLCB0aGFua3MuDQoNCk9v
cHMsIHRoYXQgcGF0Y2ggaGFkIGEgdmVyeSBzaWxseSB0aGlua28uLi4NCg==
--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Make-Gnus-respect-mode-line-buffer-identification-ke.patch

From d2f6518329298a3e8c2a5f19358e915b94173828 Mon Sep 17 00:00:00 2001
From: Visuwesh <visuweshm@HIDDEN>
Date: Wed, 21 Sep 2022 18:11:55 +0530
Subject: [PATCH] Make Gnus respect mode-line-buffer-identification-keymap

* lisp/gnus/gnus.el (gnus-mode-line-buffer-identification): Use
`propertized-buffer-identification' to set the keymap and to fontify
the buffer name.
* lisp/gnus/gnus-group.el (gnus-group-set-mode-line):
* lisp/gnus/gnus-sum.el (gnus-set-mode-line): Adjust calls to above.
* lisp/gnus/gnus-srvr.el (gnus-browse-foreign-server): Fix missing
`gnus-mode-line-buffer-identification' call.
---
 lisp/gnus/gnus-group.el | 4 +---
 lisp/gnus/gnus-srvr.el  | 7 ++++---
 lisp/gnus/gnus-sum.el   | 3 +--
 lisp/gnus/gnus.el       | 2 +-
 4 files changed, 7 insertions(+), 9 deletions(-)

diff --git a/lisp/gnus/gnus-group.el b/lisp/gnus/gnus-group.el
index fcad601d0c..7765bf296b 100644
--- a/lisp/gnus/gnus-group.el
+++ b/lisp/gnus/gnus-group.el
@@ -1717,9 +1717,7 @@ gnus-group-set-mode-line
 	  (setq mode-string (substring mode-string 0 (- max-len 4))))
 	(prog1
 	    (setq mode-line-buffer-identification
-		  (gnus-mode-line-buffer-identification
-		   (list (propertize mode-string
-				     'face 'mode-line-buffer-id))))
+		  (gnus-mode-line-buffer-identification mode-string))
 	  (set-buffer-modified-p modified))))))
 
 (defun gnus-group-group-name ()
diff --git a/lisp/gnus/gnus-srvr.el b/lisp/gnus/gnus-srvr.el
index e659a648e1..315381a6dd 100644
--- a/lisp/gnus/gnus-srvr.el
+++ b/lisp/gnus/gnus-srvr.el
@@ -829,9 +829,10 @@ gnus-browse-foreign-server
 	  (erase-buffer))
 	(gnus-browse-mode)
 	(setq mode-line-buffer-identification
-	      (list
-	       (format
-		"Gnus: %%b {%s:%s}" (car method) (cadr method))))
+	      (gnus-mode-line-buffer-identification
+               (list
+	        (format
+		 "Gnus: %%b {%s:%s}" (car method) (cadr method)))))
 	(let ((buffer-read-only nil)
 	      name
 	      (prefix (let ((gnus-select-method orig-select-method))
diff --git a/lisp/gnus/gnus-sum.el b/lisp/gnus/gnus-sum.el
index dde60caee7..107ad8fd4a 100644
--- a/lisp/gnus/gnus-sum.el
+++ b/lisp/gnus/gnus-sum.el
@@ -6207,8 +6207,7 @@ gnus-set-mode-line
       ;; Update the mode line.
       (setq mode-line-buffer-identification
 	    (gnus-mode-line-buffer-identification
-	     (list (propertize mode-string
-			       'face 'mode-line-buffer-id))))
+	     (list mode-string)))
       (set-buffer-modified-p t))))
 
 (defun gnus-create-xref-hashtb (from-newsgroup headers unreads)
diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
index 0afd873a5d..cda5bf2994 100644
--- a/lisp/gnus/gnus.el
+++ b/lisp/gnus/gnus.el
@@ -310,7 +310,7 @@ gnus-inhibit-startup-message
   :type 'boolean)
 
 (defun gnus-mode-line-buffer-identification (line)
-  (let ((str (car-safe line)))
+  (let ((str (car (propertized-buffer-identification (car-safe line)))))
     (if (or (not (fboundp 'find-image))
 	    (not (display-graphic-p))
 	    (not (stringp str))
-- 
2.35.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57977; Package emacs. Full text available.

Message received at 57977 <at> debbugs.gnu.org:


Received: (at 57977) by debbugs.gnu.org; 21 Sep 2022 12:44:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 08:44:06 2022
Received: from localhost ([127.0.0.1]:32883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaz5B-0006XP-U7
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:44:06 -0400
Received: from mail-pl1-f194.google.com ([209.85.214.194]:38628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oaz59-0006Wn-Gm
 for 57977 <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:44:04 -0400
Received: by mail-pl1-f194.google.com with SMTP id x1so5530143plv.5
 for <57977 <at> debbugs.gnu.org>; Wed, 21 Sep 2022 05:44:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:subject:to:from:from:to:cc
 :subject:date; bh=CoU4eVXDTzK4d67UMN4YfQ9H1QdB3ReswD8s28dfMnM=;
 b=LPIVlL85YQW0lnwgjvP5oB8mNg8f3uVA153gVDxGqfc7r70rZQGcqqg6PLRTzgbP/5
 g1JdQDwars7HGg4hsSrRFXRw7kqQEY9n8wNx+FJzHQAoBWW6Z/+Pp4jvH79Bq8I81ehz
 eJEFJh811OSJ0mudomi2mzHg8DWm5q0rPdjaLGv0rstfq9sQE2xTHL7YYoIqgk6K0o5x
 IKzawL+HCp0Vr8j8AO6wcVdpHoLtkuAOA4v+UX6sYLuOs84sPPsX8laXacmPmuTnYy31
 bLuw8HLSsGexV/Ue+A0SBxMuPPemPvyvs+cTIPvvrD0cJeJkqoX22iJnigDz9J3If9oP
 K6yA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:subject:to:from
 :x-gm-message-state:from:to:cc:subject:date;
 bh=CoU4eVXDTzK4d67UMN4YfQ9H1QdB3ReswD8s28dfMnM=;
 b=n5KWHnqJAxE/oBLelmoF0hfK2O/dCjmLCjXaqMEYueQyKLqFZEk2byyKiHDDweW9O+
 Ug5ShcOdfy8CjTzQv7u0MpaBSg6M2+lHpI6RSZDEEwR7JhiNMsqohT28iCDb5eSDjjHk
 +dvzCqMYLvYovgH5RJWU5NPIrkhukTJcP5n+CP/gN016ZxX11KsfURJilZXNxT7hBOpa
 nytd3gThYIQWljmWMKZ5YAT7OQ2dHPZ3tLXYY/DkWROVV7NtZfZrCY6EtfyRg2lcNssZ
 i1bfnFAsKVueGbkfp+h60xl9Y7b6+0j/7KIlqbkQxd7jEbN9J15W8fvWfEVYJKOkuKzF
 znCg==
X-Gm-Message-State: ACrzQf2MRh31N0P/5Tsr8bpsqKEKnfc4vSRCuidUlaK3k+IXEP05bF8b
 TjcimJcykmFjEGLh3tlOSB75VdGSbwE=
X-Google-Smtp-Source: AMsMyM63pMl87tbf2aTvKS1G9gn2451ICkYcs54vA1Uyl/S4aItHs4Wpqlr+Ho3XiNyMCuaCYKQDZg==
X-Received: by 2002:a17:902:e948:b0:178:90fd:755c with SMTP id
 b8-20020a170902e94800b0017890fd755cmr4625035pll.107.1663764237331; 
 Wed, 21 Sep 2022 05:43:57 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 m10-20020a170902db0a00b00176c89243fcsm1919206plx.179.2022.09.21.05.43.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Sep 2022 05:43:56 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: 57977 <at> debbugs.gnu.org
Subject: 29.0.50; [PATCH] Make Gnus respect
 mode-line-buffer-identification-keymap
Date: Wed, 21 Sep 2022 18:13:54 +0530
Message-ID: <8735ckdhit.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57977
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Please find attached, thanks.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Make-Gnus-respect-mode-line-buffer-identification-ke.patch

From 8f7938fb2cf08655144fedcc12e96ef2446022c7 Mon Sep 17 00:00:00 2001
From: Visuwesh <visuweshm@HIDDEN>
Date: Wed, 21 Sep 2022 18:11:55 +0530
Subject: [PATCH] Make Gnus respect mode-line-buffer-identification-keymap

* lisp/gnus/gnus.el (gnus-mode-line-buffer-identification): Use
`propertized-buffer-identification' to set the keymap and to fontify
the buffer name.
* lisp/gnus/gnus-group.el (gnus-group-set-mode-line):
* lisp/gnus/gnus-sum.el (gnus-set-mode-line): Adjust calls to above.
* lisp/gnus/gnus-srvr.el (gnus-browse-foreign-server): Fix missing
`gnus-mode-line-buffer-identification' call.
---
 lisp/gnus/gnus-group.el | 4 +---
 lisp/gnus/gnus-srvr.el  | 7 ++++---
 lisp/gnus/gnus-sum.el   | 3 +--
 lisp/gnus/gnus.el       | 2 +-
 4 files changed, 7 insertions(+), 9 deletions(-)

diff --git a/lisp/gnus/gnus-group.el b/lisp/gnus/gnus-group.el
index fcad601d0c..7765bf296b 100644
--- a/lisp/gnus/gnus-group.el
+++ b/lisp/gnus/gnus-group.el
@@ -1717,9 +1717,7 @@ gnus-group-set-mode-line
 	  (setq mode-string (substring mode-string 0 (- max-len 4))))
 	(prog1
 	    (setq mode-line-buffer-identification
-		  (gnus-mode-line-buffer-identification
-		   (list (propertize mode-string
-				     'face 'mode-line-buffer-id))))
+		  (gnus-mode-line-buffer-identification mode-string))
 	  (set-buffer-modified-p modified))))))
 
 (defun gnus-group-group-name ()
diff --git a/lisp/gnus/gnus-srvr.el b/lisp/gnus/gnus-srvr.el
index e659a648e1..315381a6dd 100644
--- a/lisp/gnus/gnus-srvr.el
+++ b/lisp/gnus/gnus-srvr.el
@@ -829,9 +829,10 @@ gnus-browse-foreign-server
 	  (erase-buffer))
 	(gnus-browse-mode)
 	(setq mode-line-buffer-identification
-	      (list
-	       (format
-		"Gnus: %%b {%s:%s}" (car method) (cadr method))))
+	      (gnus-mode-line-buffer-identification
+               (list
+	        (format
+		 "Gnus: %%b {%s:%s}" (car method) (cadr method)))))
 	(let ((buffer-read-only nil)
 	      name
 	      (prefix (let ((gnus-select-method orig-select-method))
diff --git a/lisp/gnus/gnus-sum.el b/lisp/gnus/gnus-sum.el
index dde60caee7..107ad8fd4a 100644
--- a/lisp/gnus/gnus-sum.el
+++ b/lisp/gnus/gnus-sum.el
@@ -6207,8 +6207,7 @@ gnus-set-mode-line
       ;; Update the mode line.
       (setq mode-line-buffer-identification
 	    (gnus-mode-line-buffer-identification
-	     (list (propertize mode-string
-			       'face 'mode-line-buffer-id))))
+	     (list mode-string)))
       (set-buffer-modified-p t))))
 
 (defun gnus-create-xref-hashtb (from-newsgroup headers unreads)
diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
index 0afd873a5d..3b1a336c83 100644
--- a/lisp/gnus/gnus.el
+++ b/lisp/gnus/gnus.el
@@ -331,7 +331,7 @@ gnus-mode-line-buffer-identification
 			   "This is %s, %s."
 			   gnus-version (gnus-emacs-version)))
 	 str)
-	(list str)))))
+	(list (propertized-buffer-identification str))))))
 
 ;; We define these group faces here to avoid the display
 ;; update forced when creating new faces.
-- 
2.35.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57977; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Sep 2022 12:42:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 08:42:15 2022
Received: from localhost ([127.0.0.1]:32878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaz3P-0006UE-Bb
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:42:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:60876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oaz3M-0006U4-UG
 for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:42:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51236)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1oaz3M-00011v-JJ
 for bug-gnu-emacs@HIDDEN; Wed, 21 Sep 2022 08:42:12 -0400
Received: from mail-pj1-x1043.google.com ([2607:f8b0:4864:20::1043]:38586)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1oaz2k-0004Ua-2B
 for bug-gnu-emacs@HIDDEN; Wed, 21 Sep 2022 08:41:44 -0400
Received: by mail-pj1-x1043.google.com with SMTP id
 x1-20020a17090ab00100b001fda21bbc90so14111010pjq.3
 for <bug-gnu-emacs@HIDDEN>; Wed, 21 Sep 2022 05:41:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:subject:to:from:from:to:cc
 :subject:date; bh=I1G/prgIzHO2p3d5p0F3RoaypvGVQEYd/rkudUR57us=;
 b=VbgffwXPXFOAm1qf9i65C4iJ47f5bp4yjXxrT7We53UmADt3XN7iaEdsllaBemf0oF
 JllsshPbM1VTHlsV3teeAFGeytBja49Z/NWSKzQuEdi5JwPOqpjtl0+zZhFrNTFb6gwY
 WhwIk2RlHurRdmnAxzdy9Dus02ez8VzzIJuUcYbnYvJokmpU5dkDWCWKT7+aM8SYxu0T
 sk40zYHwdlkDfL2q9JrKs6e5uTeXPSLL2qOlRxzl52VWohrH+3avdDlgaIQj+//y9i2W
 MCLJD3DkFp9FKMuETtnpr8ng/k+pQ2gcvE2nILt3XYmCwbL0I0O66tTKxru7h2pV0e4o
 BOow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:subject:to:from
 :x-gm-message-state:from:to:cc:subject:date;
 bh=I1G/prgIzHO2p3d5p0F3RoaypvGVQEYd/rkudUR57us=;
 b=OiiShhfzNtwtKLVtGozW8LejDtTOnNgLY9Zi11pqdO91hoQpsH14lGiJ46hGwZfGXz
 dLczu9dGXbmHYqo2Obn+6H3RxJBu9Vy+BLFo6SJo9pnsEke7CvTQlr6YEubScA7XBb/4
 2kVo5V9LNbbPPq2nCjz4p9HMdjBkz0StYghzuYuGZWeEeDMTJZ4O3NrFj27qlwwPKpfH
 PPx23vV/xmRuiUSQOv3zm2McknYcluDGGB6NfztbQjP7KWHSNYODlt76CAklVFPtCBb4
 hDfqzAi5Rc9x3wgAIsfmXyQ4C826GPV5T745UIjc+Naa5IR484tUp8zS/hPkeB5ATqCM
 7PkQ==
X-Gm-Message-State: ACrzQf1OTqepyo6abTbJ0odaGy1pIJEPI8eWEhAh4joCmy/Wq+04vNkl
 UfSTOgICW64amwKo2pZlu0iUvavHPnM=
X-Google-Smtp-Source: AMsMyM5jXChEqcb+HC8rInH6zxHCNPC39tlDx0hy8VtrqvsJPZsm0DRAnmTWXmF2hFWq4qsxRpRLrw==
X-Received: by 2002:a17:903:2451:b0:178:4423:af32 with SMTP id
 l17-20020a170903245100b001784423af32mr4716165pls.51.1663764091621; 
 Wed, 21 Sep 2022 05:41:31 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 p7-20020a170902e74700b001769cfa5cd4sm1975142plf.49.2022.09.21.05.41.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Sep 2022 05:41:31 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; [PATCH] Make Gnus respect
 mode-line-buffer-identification-keymap
Date: Wed, 21 Sep 2022 18:11:28 +0530
Message-ID: <877d1wdhmv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::1043;
 envelope-from=visuweshm@HIDDEN; helo=mail-pj1-x1043.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


The buffer name in the mode-line has a keymap set which lets you use
button-1 and button-3 to change the buffer in that window.  However,
gnus-mode-line-buffer-identification does not put the keymap.  This
breaks the flow when you're quickly going through the buffers using the
mouse buttons.  I will attach a patch once I get the bug number.

In GNU Emacs 29.0.50 (build 18, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw scroll bars) of 2022-09-20 built on astatine
Repository revision: cd2168cd131852279a7d9257c7dff45224c9d6a9
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure --with-sound=alsa --with-x-toolkit=lucid --with-json
 --without-xaw3d --without-gconf --without-libsystemd'
Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LIBOTF LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM
XINPUT2 XPM LUCID ZLIB
Important settings:
  value of $LC_MONETARY: ta_IN.UTF-8
  value of $LC_NUMERIC: ta_IN.UTF-8
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Browse Server

Minor modes in effect:
  recentf-mode: t
  shell-dirtrack-mode: t
  eros-mode: t
  pdf-occur-global-minor-mode: t
  minibuffer-depth-indicate-mode: t
  repeat-mode: t
  display-time-mode: t
  display-battery-mode: t
  winner-mode: t
  acme-tag-minor-mode: t
  delete-selection-mode: t
  xterm-mouse-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  use-hard-newlines: t
  tab-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  undelete-frame-mode: t
  buffer-read-only: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t





Acknowledgement sent to Visuwesh <visuweshm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57977; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 23 Sep 2022 16:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.